package excute

type Match struct {
	Key string      `json:"key"`
	Op  string      `json:"op"`
	Val interface{} `json:"val"`
}

type MatchWrite struct {
	Table string `json:"table"`
	Op    string `json:"op"`
	Data  string `json:"data"`
	Keys  string `json:"keys"`
}

type PrimaryKey struct {
	Filed      string
	FiledValue interface{}
}

type TableColumn struct {
	Field   string
	Null    string
	Default interface{}
	Key     string
	Extra   string
	Type    string
}

type NotNullColumnDefault struct {
	Field   string
	Default interface{}
}
